PETSc version 3.15.5
Fix/Edit manual page

# MatKAIJGetS

Get the S matrix describing the shift action of the KAIJ matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetS(Mat A,PetscInt *m,PetscInt *n,PetscScalar **S)

Not Collective; the entire S is stored and returned independently on all processes.

### Input Parameter

| A | - the KAIJ matrix

### Output Parameters

| m | - the number of rows in S
| n | - the number of columns in S
| S | - the S matrix, in form of a scalar array in column-major format

Note: All output parameters are optional (pass NULL or PETSC_IGNORE if not desired)

### See Also

MatCreateKAIJ(), MatGetBlockSizes()

### Level

advanced

### Location

src/mat/impls/kaij/kaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages